/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2003 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>

#include <assert.h>

#include <GL/gl.h>
#include <GL/glu.h>

#include "engine.h"

/*
 * Draw scene.
 */
int engine_draw(Engine *engine) {
  /* Assertion */
  assert(engine);
  assert(engine->scene);

  /* Clear back-buffers */
  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

  /* Re-initialize projection and modelview matrix */
  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();
  gluPerspective(engine->fovy, engine->aspect, engine->near, engine->far);
  glMatrixMode(GL_MODELVIEW);
  glLoadIdentity();

  /* Draw space world */
  scene_draw(engine->scene);

  /* Draw HUD */
  hud_draw(engine->hud, scene_player_ship(engine->scene), engine->frame_rate);

  return 0;
}

