/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2003 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>

#include <assert.h>

#include <GL/gl.h>
#include <GL/glu.h>

#include "engine.h"

/*
 * Init world.
 */
int engine_load(Engine *engine) {
  float w, h, z;

  /* Assertion */
  assert(engine);
  assert(engine->mission);
  assert(engine->scene);
  assert(engine->hud);

  /* Initialize mission */
  /*mission_init(engine->mission, engine->mission_file);*/
  mission_init(engine->mission, "data/xml/missions/mission.xml"); /* TODO: load objectives */

  /* Initialize scene */
  scene_init(engine->scene, engine->mission_file);

  /* Initialize hud */
  w = 2.0 * (engine->near) * m_tan(engine->fovy/2.0);
  h = w / engine->aspect;
  z = engine->near;
  hud_init(engine->hud, w, h, z, engine->txf_file, engine->atest);

  return 0;
}

