/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2004 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>

#include <assert.h>

#include "hud.h"

/*
 * Display mission objectives (edge middle-right).
 */
static int hud_draw_objectives(Hud *hud, SpaceShip *player_ship) {
  char str[64];
  float x, y, z, d;

  /* Assertion */
  assert(hud);
  assert(hud->font);
  assert(player_ship);

  /* Edge middle-right */
  x = hud->w2 - hud->w5 - 2.0*hud->unit;
  y = hud->h2 - hud->h5 - 2.0*hud->unit;
  z = -hud->dz - 0.1;
  /* Text */
  d = 2.0*hud->unit; /* line offset */

  /* Display mission objectives */
  glColor4f(1.0, 1.0, 0.0, 0.8);
  y -= d;
  sprintf(str, "Mission: testing ...");
  font_draw(hud->font, str, 8, x, y, z);

  return 0;
}

/*
 * Display docs (edge middle-right).
 */
static int hud_draw_docs(Hud *hud, SpaceShip *player_ship) {
  /* Assertion */
  assert(hud);
  assert(hud->font);
  assert(player_ship);

  /* TODO */

  return 0;
}

/*
 * Draw stellar chart (edge middle-right).
 */
static int hud_draw_stellar_chart(Hud *hud, SpaceShip *player_ship) {
  /* Assertion */
  assert(hud);
  assert(hud->font);
  assert(player_ship);

  /* TODO */

  return 0;
}

/*
 * Draw CMD controls.
 */
int hud_draw_cmd(Hud *hud, SpaceShip *player_ship) {
  /* Assertion */
  assert(hud);
  assert(player_ship);

  /* Display mission objectives */
  hud_draw_objectives(hud, player_ship);

  /* Display docs */
  hud_draw_docs(hud, player_ship);

  /* Display stellar chart */
  hud_draw_stellar_chart(hud, player_ship);

  return 0;
}
