/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2003 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdlib.h>

#include <assert.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "hud.h"

/* 
 * Display messages (corner up-left).
 */
int hud_draw_message(Hud *hud, SpaceShip *player_ship, const float frame_rate) {
  char str[64];
  float x, y, z, d;

  /* Assertion */
  assert(hud);
  assert(hud->font);
  assert(player_ship);

  /* Corner up-left */
  x = -hud->w2 + 2.0*hud->unit;
  y = hud->h2 - hud->unit;
  z = -hud->dz - 0.1;
  /* Text */
  d = 2.0*hud->unit; /* line offset */

  /* Display messages */
  if(hud->intest) {
    glColor4f(0.0, 1.0, 0.0, 0.8);
    y -= d;
    sprintf(str, "Stardust "VERSION" ");
    font_draw(hud->font, str, 10, x, y, z);
    y -= d;
    sprintf(str, "Compiled on "__DATE__" ");
    font_draw(hud->font, str, 10, x, y, z);
    y -= d;
    sprintf(str, "Frame rate: %d fps (%d ms)",
	    (int)frame_rate, (int)(1000.0f / (float)frame_rate));
    font_draw(hud->font, str, 10, x, y, z);
  }
  glColor4f(0.0, 0.0, 1.0, 0.8);
  y -= d;
  sprintf(str, __TIME__" MicKey: testing ... ");
  font_draw(hud->font, str, 8, x, y, z);

  return 0;
}
