/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2003 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Definition of the Mission struct.,
 * and public interface.
 */

#ifndef _MISSION_H
#define _MISSION_H

/*
 * The mission.
 */
typedef struct _Mission {
  /* Variables */
  char name[256];

} Mission;

/*
 * Constructor.
 */
Mission *mission_new(void);

/*
 * Destructor.
 */
int mission_destroy(Mission *mission);

/*
 * Init mission from xml file.
 */
int mission_read_xml(Mission *mission, const char *xml_file);
#define mission_init mission_read_xml


#endif /* _MISSION_H */
