/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2003 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Definition of the Texture struct.,
 * and public interface.
 */

#ifndef _TEXTURE_H
#define _TEXTURE_H

#include <GL/gl.h>

/*
 * The texture.
 */
typedef struct _Texture {
  /* Variables */
  GLuint texid;
  GLuint width;
  GLuint height;
  GLuint spp;
} Texture;

/*
 * Constructor.
 */
Texture *texture_new(void);

/*
 * Destructor.
 */
int texture_destroy(Texture *texture);

/*
 * Access.
 */
#define texture_id(texture) ((texture)->texid)
#define texture_width(texture) ((texture)->width)
#define texture_height(texture) ((texture)->height)
#define texture_spp(texture) ((texture)->spp)

/*
 * Init texture,
 * from Truevision Targa image or Tag Image File Format.
 * Return the texture id (for glBindTexture).
 */
GLuint texture_init(Texture *texture, const char *tex_file);


#endif /* _TEXTURE_H */
