/* 
 * Stardust :-) 
 * A Free Space Flight Simulator for a Free Universe!
 * Copyright (C) 2003 MiKael NAVARRO
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Definition of the Xml struct.,
 * and public interface.
 */

#ifndef _XML_H
#define _XML_H

#include <libxml/tree.h>

/*
 * The xml.
 */
typedef struct _Xml {
  /* Document */
  xmlDocPtr doc;
  
} Xml;

/*
 * Constructor.
 */
Xml *xml_new(void);

/*
 * Destructor.
 */
int xml_destroy(Xml *xml);

/*
 * Init xml document from xml_file.
 */
int xml_init(Xml *xml, const char *xml_file);

/*
 * Search path in xml document.
 * Return the first instance found or NULL if not found.
 */
char *xml_search_path(Xml *xml, const char *path);

/*
 * Search path in xml document.
 * Return the token number n, otherwise return NULL.
 */
char *xml_search_xpath(Xml *xml, const char *path, int n);


#endif /* _XML_H */
